/*
Theme Name: VBPR Flatsome Child
Theme URI: http://flatsome.uxthemes.com
Template: flatsome
Author: UX-Themes
Author URI: https://uxthemes.com
Description: Multi-Purpose Responsive WooCommerce Theme
Version: 3.20.4.1768824881
Updated: 2026-01-19 12:14:41

*/

/* BRAND COLOURS 
 * Orange #e55e2b
 * Navy #012940
 * Beige #FDF1DE
/* 

/* General CSS */
.vbpr-hero-spacer {
	height:30vh;
	min-height:270px;
}
.mfp-bg.mfp-ready {
    opacity: .3;
}
.header-full-width .container {
    max-width: 90% !important;
}
.nav-right {
    margin-top: -60px;
}
.home #footer {
	display:none;
}
.dark, .dark p, .dark td, .dark .widget a:hover, .dark a:hover, .widget a, .dark a, .absolute-footer.dark, .button, input[type=button].button, input[type=reset].button, input[type=submit], input[type=submit].button {
    color: #FDF1DE;
}
.dark .heading-font, .dark a.lead, .dark h1, .dark h2, .dark h3, .dark h4, .dark h5, .dark h6, .dark label, .hover-dark:hover a, .hover-dark:hover h1, .hover-dark:hover h2, .hover-dark:hover h3, .hover-dark:hover h4, .hover-dark:hover h5, .hover-dark:hover h6, .hover-dark:hover p {
    color: #FDF1DE;
}

/* Animated Menu icon */
.custom-hamburger > a{
  position:relative !important;
  display:inline-flex !important;
  align-items:center !important;
  justify-content:center !important;
}

.custom-hamburger > a > i.custom-hamburger-icon{
  display:inline-block !important;
  position:relative !important;
  width:50px !important;
  height:35px !important;
  font-size:0 !important;
  line-height:0 !important;
  overflow:visible !important;

  clip-path: polygon(25% 0%, 100% 0%, 100% 100%, 0% 100%);
  transition: clip-path 250ms ease;
}

.custom-hamburger > a.is-active > i.custom-hamburger-icon{
  clip-path: polygon(0 0, 100% 0%, 100% 100%, 0% 100%);
}

.custom-hamburger > a > i.custom-hamburger-icon:before{
  content:none !important;
}
.custom-hamburger > a > i.custom-hamburger-icon:after{
  content:none !important;
}

.custom-hamburger > a > i.custom-hamburger-icon > span.custom-hamburger-bars{
  position:absolute !important;
  left:0 !important;
  top:50% !important;
  transform:translateY(-50%) !important;
  width:50px !important;
  height:5px !important;
  background:#FDF1DE !important;
  display:block !important;
  transition: background 0ms 300ms;
}

.custom-hamburger > a > i.custom-hamburger-icon > span.custom-hamburger-bars:before,
.custom-hamburger > a > i.custom-hamburger-icon > span.custom-hamburger-bars:after{
  content:"" !important;
  position:absolute !important;
  left:0 !important;
  width:50px !important;
  height:5px !important;
  background:#FDF1DE !important;
  display:block !important;
  transform-origin:center !important;
}

.custom-hamburger > a > i.custom-hamburger-icon > span.custom-hamburger-bars:before{
  top:-15px !important;
  transition:
    top 300ms 300ms cubic-bezier(0.23, 1, 0.32, 1),
    transform 300ms cubic-bezier(0.23, 1, 0.32, 1);
}

.custom-hamburger > a > i.custom-hamburger-icon > span.custom-hamburger-bars:after{
  top:15px !important;
  transition:
    top 300ms 300ms cubic-bezier(0.23, 1, 0.32, 1),
    transform 300ms cubic-bezier(0.23, 1, 0.32, 1);
}

.custom-hamburger > a.is-active > i.custom-hamburger-icon > span.custom-hamburger-bars{
  background:rgba(255,255,255,0) !important;
}

.custom-hamburger > a.is-active > i.custom-hamburger-icon > span.custom-hamburger-bars:before{
  top:0 !important;
  transform:rotate(45deg) !important;
  transition:
    top 300ms cubic-bezier(0.23, 1, 0.32, 1),
    transform 300ms 300ms cubic-bezier(0.23, 1, 0.32, 1);
}

.custom-hamburger > a.is-active > i.custom-hamburger-icon > span.custom-hamburger-bars:after{
  top:0 !important;
  transform:rotate(-45deg) !important;
  transition:
    top 300ms cubic-bezier(0.23, 1, 0.32, 1),
    transform 300ms 300ms cubic-bezier(0.23, 1, 0.32, 1);
}

/* Show animated icon above slide menu */
.custom-hamburger{
  position:absolute !important;
  top:40px !important;
  right:5% !important;
  left:auto !important;
  z-index:9999 !important;
}
.mfp-bg{z-index:9997 !important;}
.mfp-wrap{z-index:9998 !important;}

/* Slide menu */
.off-canvas-right .mfp-content, .off-canvas-left .mfp-content {
    --drawer-width: 50vw !important;
	padding: 5% 2% 4% 4%;
}
.off-canvas-left .mfp-content, .off-canvas-right .mfp-content {
    background-color: #012940;
}
.nav>li>a {
    font-size: 1.5rem;
	font-weight:lighter;
    color: #FDF1DE;
}
.mfp-wrap .nav-sidebar li.active > a:not(:hover):not(:focus),
.mfp-wrap .nav-sidebar li.current-menu-item > a:not(:hover):not(:focus),
.mfp-wrap .nav-sidebar li.current-menu-parent > a:not(:hover):not(:focus),
.mfp-wrap .nav-sidebar li.current-menu-ancestor > a:not(:hover):not(:focus){
  color:#e55e2b;
}
.mfp-container .nav-column li.active>a, .mfp-container .nav-column li>a:hover, .mfp-container .nav-dropdown li.active>a, .mfp-container .nav-dropdown>li>a:hover, .mfp-container .nav-vertical-fly-out>li.active>a, . mfp-container.nav-vertical-fly-out>li>a:hover, . mfp-container.nav>li.active>a, .mfp-container.nav>li.current>a, .mfp-container .nav>li>a.active, .mfp-container .nav>li>a.current, .mfp-container .nav>li>a:hover {
    color: #e55e2b;
}
.mfp-container a.plain {
    color: #e55e2b;
}
.mfp-container a.icon-circle:hover, .mfp-container a.remove:hover, .mfp-container a:hover {
    color: #FDF1DE;
}
.mfp-ready .mfp-close {
    opacity: 0;
}
.mfp-container .nav>li>a:hover {
    color: #e55e2b;
}

/* Services page */
.vbpr-service-row {
	transition: all 0.3s ease-in-out;
}
.vbpr-service-row .vbpr-service-hidden-text {
	display: grid;
	grid-template-rows: 0fr;
	opacity: 0;
	transition: grid-template-rows 0.5s ease-in-out, opacity 0.3s ease-in-out;
}
.vbpr-service-row .vbpr-service-hidden-text > * {
	overflow: hidden;
}
.vbpr-service-row:hover .vbpr-service-hidden-text {
	grid-template-rows: 1fr;
	opacity: 1;
}
.vbpr-service-title h3 {
    line-height: 1.2em;
}

/* Case Studies */
.vbpr-case-study-container .box-text, .vbpr-case-study-container .portfolio-box {
	transition:all 0.3s ease-in-out;
}
.vbpr-case-study-container .portfolio-box:hover .box-text {
	border-bottom: 20px solid #e55e2b;
}

/* Contact form */
.vbpr-contact-form .wpcf7 textarea::placeholder {
    color: #fff;
}
.vbpr-contact-form .primary, .vbpr-contact-form input[type=submit], .vbpr-contact-form input[type=submit].button {
    background-color: #012940;
}

/* Footer */
.vbpr-footer-badge {
	opacity:0.5;
}
.copyright-footer {
	font-size:1rem !important;
}

/* Responsive CSS */

/* Mobile */
@media screen and (max-width:550px) {
	.vbpr-hero-spacer {
		height:200px;
		min-height:200px;
	}
	.custom-hamburger {
		top: 30px !important;
	}
	.off-canvas-right .mfp-content, .off-canvas-left .mfp-content {
		--drawer-width: 90vw !important;
	}
	.vbpr-service-row .vbpr-service-hidden-text {
		display:none;
	}
}